<?php
# fonction de comparaison de 2 nombres
# IN : a et b
# OUT : 0 si a=b, 1 si a>b, 2 si a<b
function cmp_score($a,$b)
{
	if ($a==$b)
		return 0;
	
	if ($a>$b)
		return 1;
	else
		return 2;
}

#############################################################
# fonction de calcule d'un gain en comparant deux résultats #
# de format X-Y                                             #
#############################################################
/*
IN : 
	Result : un résultat de match au format X-Y
	Bet : le pari, au format A-B
	Amount : la somme misée
	rate1 : taux quand X-Y == A-B (pari exact)
	rate2 : taux quand X-Y <=> A-B (pari gagnant)

OUT :
	on récupere le somme gagnée qui peut etre négative
*/
function calcule_gain_prono($Result,$Bet,$Amount,$rate1,$rate2)
{
	# si on a le meme resultat, score exact, on sort avec rate1
	if ($Result == $Bet)
	{
		return $Amount*$rate1;
	}
	
	# on etudie le result
	$tabResult = explode("-",$Result);
	$ResultType = cmp_score($tabResult[0],$tabResult[1]);

	# on etudie le Bet
	$tabBet = explode("-",$Bet);
	$BetType = cmp_score($tabBet[0],$tabBet[1]);

	# s'il a le gagnant, on sort avec rate2
	# sinon il perd $Amount
	if ($BetType==$ResultType)
		return $Amount*$rate2;
	else
		return $Amount*(-1);
}

#############################################################
# fonction de calcul d'un gain en comparant deux résultats  #
# de format X-Y                                             #
#############################################################
/*
IN : 
	Result : un résultat de match au format X-Y
	Bet : le pari, au format A-B
	rate1 : taux quand X-Y == A-B (pari exact)
	rate2 : taux quand X-Y <=> A-B (pari gagnant)

OUT :
	on récupère le coeff résultant du pari qui peut etre négatif
*/
function calcule_gain_coeff($Result,$Bet,$rate1,$rate2)
{
	# si on a le meme resultat, score exact, on sort avec rate1
	if ($Result == $Bet)
	{
		return $rate1;
	}
	
	# on etudie le resultat
	$tabResult = explode("-",$Result);
	$ResultType = cmp_score($tabResult[0],$tabResult[1]);

	# on etudie le Bet
	$tabBet = explode("-",$Bet);
	$BetType = cmp_score($tabBet[0],$tabBet[1]);

	# s'il a le gagnant, on sort avec rate2
	# sinon il perd $Amount
	if ($BetType==$ResultType)
		return $rate2;
	else
		return (-1);
}
?>